<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Smart Folder: Liste des fichiers</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Smart Folder
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">Un répertoire virtuel de recherche de fichiers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('files.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Liste des fichiers</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Liste de tous les fichiers documentés avec une brève description :</div><div class="directory">
<div class="levels">[Niveau de détails <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span id="img_0_" class="iconfopen" onclick="toggleFolder('0_')">&#160;</span><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html" target="_self">inc</a></td><td class="desc"></td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="hash__table_8h_source.html"><span class="icondoc"></span></a><a class="el" href="hash__table_8h.html" target="_self">hash_table.h</a></td><td class="desc">C'est le header du fichier <a class="el" href="hash__table_8c.html" title="Contient les fonctions pour gérer une table de hash. ">hash_table.c</a> </td></tr>
<tr id="row_0_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="list_8h_source.html"><span class="icondoc"></span></a><a class="el" href="list_8h.html" target="_self">list.h</a></td><td class="desc">C'est le header du fichier <a class="el" href="list_8c.html" title="Contient les fonctions pour gérer une liste chainée. ">list.c</a> </td></tr>
<tr id="row_0_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="logger_8h_source.html"><span class="icondoc"></span></a><a class="el" href="logger_8h.html" target="_self">logger.h</a></td><td class="desc">C'est le header du fichier logger.c </td></tr>
<tr id="row_0_3_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="parser_8h_source.html"><span class="icondoc"></span></a><a class="el" href="parser_8h.html" target="_self">parser.h</a></td><td class="desc">C'est le header du fichier <a class="el" href="parser_8c.html" title="Contient l&#39;implémentation du logger. ">parser.c</a> </td></tr>
<tr id="row_0_4_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="prime__numbers_8h_source.html"><span class="icondoc"></span></a><a class="el" href="prime__numbers_8h.html" target="_self">prime_numbers.h</a></td><td class="desc">C'est le header du fichier <a class="el" href="prime__numbers_8c.html" title="Contient les fonctions pour gérer les nombres premiers. ">prime_numbers.c</a> </td></tr>
<tr id="row_0_5_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="search__engine_8h_source.html"><span class="icondoc"></span></a><a class="el" href="search__engine_8h.html" target="_self">search_engine.h</a></td><td class="desc">C'est le header du fichier <a class="el" href="search__engine_8c.html" title="Contient les fonctions du moteur de recherche. ">search_engine.c</a> </td></tr>
<tr id="row_0_6_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="wrapper_8h_source.html"><span class="icondoc"></span></a><a class="el" href="wrapper_8h.html" target="_self">wrapper.h</a></td><td class="desc">C'est le header du fichier <a class="el" href="wrapper_8c.html" title="Contient les fonctions pour gérer la gestion des fichiers. ">wrapper.c</a> </td></tr>
<tr id="row_1_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_1_" class="arrow" onclick="toggleFolder('1_')">&#9660;</span><span id="img_1_" class="iconfopen" onclick="toggleFolder('1_')">&#160;</span><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html" target="_self">src</a></td><td class="desc"></td></tr>
<tr id="row_1_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="crawler_8c.html" target="_self">crawler.c</a></td><td class="desc">Contient les fonctions pour gérer le crawler </td></tr>
<tr id="row_1_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="filter_8c.html" target="_self">filter.c</a></td><td class="desc">Contient les fonctions pour gérer le filtrage de la table de hachage selon les critères </td></tr>
<tr id="row_1_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="hash__table_8c.html" target="_self">hash_table.c</a></td><td class="desc">Contient les fonctions pour gérer une table de hash </td></tr>
<tr id="row_1_3_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="linker_8c.html" target="_self">linker.c</a></td><td class="desc">Contient les fonctions pour gérer le linker </td></tr>
<tr id="row_1_4_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="list_8c.html" target="_self">list.c</a></td><td class="desc">Contient les fonctions pour gérer une liste chainée </td></tr>
<tr id="row_1_5_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="parser_8c.html" target="_self">parser.c</a></td><td class="desc">Contient l'implémentation du logger </td></tr>
<tr id="row_1_6_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="prime__numbers_8c.html" target="_self">prime_numbers.c</a></td><td class="desc">Contient les fonctions pour gérer les nombres premiers </td></tr>
<tr id="row_1_7_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="search__engine_8c.html" target="_self">search_engine.c</a></td><td class="desc">Contient les fonctions du moteur de recherche </td></tr>
<tr id="row_1_8_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="searchfolder_8c.html" target="_self">searchfolder.c</a></td><td class="desc">Contient le programme principale </td></tr>
<tr id="row_1_9_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="wrapper_8c.html" target="_self">wrapper.c</a></td><td class="desc">Contient les fonctions pour gérer la gestion des fichiers </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
